<?php

namespace Lc\SovBundle\Container\Reminder;

use App\Entity\Reminder\Reminder;
use Lc\SovBundle\Factory\Reminder\ReminderFactory;
use Lc\SovBundle\Repository\Reminder\ReminderRepositoryQuery;
use Lc\SovBundle\Repository\Reminder\ReminderStore;

class ReminderContainer
{
    protected ReminderFactory $factory;
    protected ReminderRepositoryQuery $repositoryQuery;
    protected ReminderStore $store;

    public function __construct(
            ReminderFactory $factory,
            ReminderRepositoryQuery $repositoryQuery,
            ReminderStore $store
    ) {
        $this->factory = $factory;
        $this->repositoryQuery = $repositoryQuery;
        $this->store = $store;
    }

    public static function getEntityFqcn()
    {
        return Reminder::class;
    }

    public function getFactory(): ReminderFactory
    {
        return $this->factory;
    }

    public function getRepositoryQuery(): ReminderRepositoryQuery
    {
        return $this->repositoryQuery;
    }

    public function getStore(): ReminderStore
    {
        return $this->store;
    }
}
